Verity Inc.
 

Verity K2 and VDK Additional Release Notes

Version 6.0

This document contains late additions to the Verity K2 Release Notes V6.0 and the Verity Developer’s Kit Release Notes.

Operating-system patch needed for K2 or VDK on HP-UX platform

 

On the HP-UX 11.11 platform, to use the multilanguage (uni ) locale you must first apply the following operating-system patch:

PHSS_30966: s700_800 11.11 ld(1) and linker tools cumulative patch

Cannot eject VDK CD after installing on UNIX

 

In some cases, it is not possible to eject the installation CD after installing VDK on UNIX. (101858)

Workaround: At the end of the installation, kill any install.sh and tar processes left over. For example:

kill -9 pidnumbers for
tar -xof /cdrom/VDK/common.tar
./install.sh -console

Then you should be able to eject the CD.

Disabling structural search of zoned documents

 

K2 supports search of structures (elements) in documents such as XML that are indexed as zones. Enabling structural search can adversely affect performance when searching any kind of zoned documents.

Structural search is enabled by default in K2 6.0. To disable it for a collection, locate this line in the IDXOPTS section of the collection’s style.prm file:

$define      ZONE-IDXOPTS      "Dewey"

and change it to this:

$define      ZONE-IDXOPTS      ""

Additional libraries required for Linux platforms

 

K2 binaries on Linux need gcc-c++ 2.96 compatibility libraries at runtime. Before installing K2 on any Linux platform, install the package compat-libstdc++-7.3-2.96.128.i386.rpm . If this compiler version is not available, K2 license-key validation will fail.